---
layout: docs
page_title: credential-stores list - Command
description: >-
  The "credential-stores list" command lists the available credential store resources within an enclosing scope or resource.
---

# credential-stores list

Command: `boundary credential-stores list`

The `credential-stores list` command lists any credential stores within an enclosing scope or resource.

## Examples

The following example lists all credential stores for a scope with the ID `p_tnqESc86qE`:

```shell-session
$ boundary credential-stores list -scope-id p_tnqESc86qE
```

**Example output:**

<CodeBlockConfig hideClipboard>

```plaintext
Credential Store information:
  ID:                    csvlt_5fvkRjCjou
    Version:             1
    Type:                vault
    Authorized Actions:
      no-op
      read
      update
      delete
```

</CodeBlockConfig>

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary credential-stores list [options] [args]
```

</CodeBlockConfig>


### Command options

- `-filter` `(string: "")` - If set, Boundary filters the list operation before the results are returned.
The filter operates against each item in the list.
We recommend that you use single quotes, because the filters contain double quotes.
Refer to the [Filtering and listing resources documentation](/boundary/docs/filtering) for more details.
- `-recursive`  - If set, the list operation is applied recursively into child scopes, if supported by the type.
The default value is `false`.
- `-scope-id ``(string: "")` - The scope in which to make the request.
The default value is `global`.
You can also specify the scope using the **BOUNDARY_SCOPE_ID** environment variable.
- `list_token` (optional) - An opaque token that is returned from the previous `list` response.
If you do not supply a value, pagination starts from the beginning.
- `page_size` (optional) - An unsigned integer that indicates the number of items that should be included on the page of search results.
If you do not provide a value, or if you provide a value of `0`, Boundary uses the default page size of 1000 items.
If you configure it, the `page_size` value overrides the default page size.
Controller administrators can also configure a `max_page_size` option that constrains the maximum page size a user can request.

@include 'cmd-option-note.mdx'